# $Revision: 1.82.2.1 $, $Date: 2007/03/19 16:56:48 $
%define	_hordeapp turba
#define	_snap	2005-10-17
#define	_rc		rc2
%define	_rel	1
#
%include	/usr/lib/rpm/macros.php
Summary:	Turba - Address book for IMP
Summary(pl):	Turba - Ksika adresowa dla IMP-a
Name:		horde-%{_hordeapp}
Version:	2.1.4
Release:	%{?_rc:0.%{_rc}.}%{?_snap:0.%(echo %{_snap} | tr -d -).}%{_rel}
License:	ASL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/turba/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	950b5645ee75ed0df7a0f594c5e7d285
#Source0:	ftp://ftp.horde.org/pub/turba/%{_hordeapp}-h3-%{version}-%{_rc}.tar.gz
#Source0:	ftp://ftp.horde.org/pub/snaps/%{_snap}/%{_hordeapp}-HEAD-%{_snap}.tar.gz
Source1:	%{_hordeapp}.conf
Source2:	%{_hordeapp}-trans.mo
Patch0:		%{_hordeapp}-attrcache.patch
URL:		http://www.horde.org/turba/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.304
BuildRequires:	tar >= 1:1.15.1
Requires(triggerpostun):	sed >= 4.0
Requires:	horde >= 3.0
Requires:	php(xml)
Requires:	php-common >= 3:4.1.0
Requires:	webapps
Obsoletes:	%{_hordeapp}
Obsoletes:	horde-addons-turba
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# horde accesses it directly in help->about
%define		_noautocompressdoc  CREDITS
%define		_noautoreq	'pear(Horde.*)' 'pear(Net/IMSP.php)' 'pear(Net/IMSP/Utils.php)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		schemadir	/usr/share/openldap/schema
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Turba is a complete basic contact management application. SQL, LDAP,
and Horde Preferences backends are available and are well tested. You
can define the fields in your address books in a very flexible way,
just by changing the config files. You can import/export from/to Pine,
Mulberry, CSV, TSV, and vCard contacts. You can create distribution
lists from your addressbooks, which are handled transparently by IMP
and other Horde applications. And there are Horde API functions to add
and search for contacts.

%description -l pl
Turba to kompletna aplikacja do podstawowego zarzdzania kontaktami.
Dostpne i dobrze przetestowane s backendy ustawie SQL, LDAP i
Horde. Mona definiowa pola ksiki adresowej w bardzo elastyczny
sposb, po prostu zmieniajc pliki konfiguracyjne. Kontakty mona
importowa/eksportowa z/do Pine, Mulberry, CSV, TSV i vCard. Mona
tworzy listy dystrybucyjne z ksiek adresowych, ktre s obsugiwane
w sposb przezroczysty przez IMP-a i inne aplikacje Horde. S take
funkcje API Horde do dodawania i wyszukiwania kontaktw.

%package -n openldap-schema-rfc2739
Summary:	LDAP schema for freebusy information
Summary(pl):	Schemat LDAP do informacji freebusy
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-rfc2739
This package contains rfc2739.schema for openldap.

To store freebusy information in the LDAP directory, you'll need the
rfc2739.schema from <http://www.whitemiceconsulting.com/node/42>.

%description -n openldap-schema-rfc2739 -l pl
Ten pakiet zawiera schemat rfc2739.schema dla openldap.

Aby przechowywa informacje freebusy w bazie LDAP potrzebny jest
schemat rfc2739.schema z <http://www.whitemiceconsulting.com/node/42>.

%prep
%setup -qcT -n %{?_snap:%{_hordeapp}-%{_snap}}%{!?_snap:%{_hordeapp}-%{version}%{?_rc:-%{_rc}}}
tar zxf %{SOURCE0} --strip-components=1
%patch0 -p1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm -f test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes $RPM_BUILD_ROOT%{_appdir}

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
ln -s %{_docdir}/%{name}-%{version}/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

install %{SOURCE2} 		$RPM_BUILD_ROOT%{_appdir}/locale/pl_PL/LC_MESSAGES/turba.mo

install -d $RPM_BUILD_ROOT%{schemadir}
install scripts/ldap/rfc2739.schema $RPM_BUILD_ROOT%{schemadir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
IMPORTANT:
If you are installing for the first time, You may need to
create the Turba database tables. Look into directory
%{_docdir}/%{name}-%{version}/sql
to find out how to do this for your database.

For LDAP backend you need php-ldap package.
If you want to store freebusy information in LDAP database, also
install openldap-schema-rfc2739 package.

EOF
fi

%post -n openldap-schema-rfc2739
%openldap_schema_register %{schemadir}/rfc2739.schema
%service -q ldap restart

%postun -n openldap-schema-rfc2739
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/rfc2739.schema
	%service -q ldap restart
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- turba <= 1.2.2-2
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e '/^Include.*turba.conf/d' /etc/httpd/httpd.conf
fi

if [ -f /etc/httpd/turba.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f /etc/httpd/turba.conf.rpmsave %{_sysconfdir}/apache.conf
fi

%service -q httpd restart

%triggerpostun -- horde-%{_hordeapp} < 2.1-1.rc2.0.2, %{_hordeapp}
for i in attributes.php conf.php menu.php prefs.php sources.php; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc LICENSE README docs/* scripts/*.reg scripts/ldap scripts/sql
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%files -n openldap-schema-rfc2739
%defattr(644,root,root,755)
%{schemadir}/*.schema

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-turba.spec,v $
Revision 1.82.2.1  2007/03/19 16:56:48  glen
- HEAD merge

Revision 1.82  2006/11/26 12:47:04  glen
- virtual deps; rel 2

Revision 1.81  2006/11/05 15:51:47  glen
- rel 1

Revision 1.80  2006/11/05 15:46:38  glen
- 2.1.3 but tarball is corrupted

Revision 1.79  2006/10/01 17:14:15  glen
- rel 2

Revision 1.78  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.77  2006/08/02 08:35:29  glen
- updated to 2.1.2

Revision 1.76  2006/08/02 08:27:49  glen
- add ldap attrcache patch

Revision 1.75  2006/06/02 21:18:50  glen
- use %openldap_schema_{un,}register macros

Revision 1.74  2006/05/02 20:27:58  paszczus
- updated to 2.1.1 ; release 1

Revision 1.73  2006/03/07 00:08:15  glen
- rel 2

Revision 1.72  2006/03/06 22:17:41  paszczus
- updated fo FINAL 2.1

Revision 1.71  2006/02/27 10:31:59  glen
- rerun trigger

Revision 1.70  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.69  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.68  2006/02/14 15:57:22  glen
- rc2

Revision 1.67  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.66  2006/01/08 22:26:11  glen
- use %service in triggers

Revision 1.65  2006/01/08 20:53:29  glen
- update rfc2739.schema url

Revision 1.64  2006/01/08 20:28:27  glen
- use %service in triggers
- trigger also on old package name

Revision 1.63  2006/01/06 16:07:20  paszczus
- backing to _rel

Revision 1.62  2006/01/05 17:57:41  paszczus
- updated to 2.1rc1

Revision 1.61  2005/12/11 22:52:04  paszczus
- updated to 2.0.5 (security update)

Revision 1.60  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.59  2005/12/02 16:07:59  glen
- rel 2

Revision 1.58  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.57  2005/11/30 21:21:19  glen
- unify

Revision 1.56  2005/11/30 12:50:45  glen
- conf.xml is not %config(noreplace) so it should not be rescued in trigger

Revision 1.55  2005/11/30 12:48:29  glen
- use webapps framework

Revision 1.54  2005/11/16 14:17:51  glen
- unified apache virtual requires

Revision 1.53  2005/10/18 08:43:56  paszczus
- updated to FINAL 2.0.4

Revision 1.52  2005/10/17 21:15:53  paszczus
- new snap [2005-10-17]

Revision 1.51  2005/09/17 16:41:52  glen
- 2005-09-17 snap

Revision 1.50  2005/09/17 16:27:33  glen
- renamed horde application packages with horde- prefix

Revision 1.49  2005/09/17 15:23:50  glen
- Turba name caps

Revision 1.48  2005/09/17 15:21:50  glen
- unify

Revision 1.47  2005/09/17 11:45:33  glen
- use %{_hordeapp} macro, remove bogus dep, fix version

Revision 1.46  2005/09/16 22:38:20  glen
- fix php epoch

Revision 1.45  2005/09/16 20:43:21  glen
- 2005-08-25 snap

Revision 1.44  2005/08/20 12:06:36  glen
- license is ASL http://www.horde.org/licenses/asl.php

Revision 1.43  2005/08/15 19:58:23  glen
- there's no triggerpreun, change it to triggerpostun

Revision 1.42  2005/08/09 10:49:26  glen
- 2.0.3 final

Revision 1.41.2.1  2005/08/01 20:02:32  glen
- 2005-07-31 snap

Revision 1.41  2005/07/31 11:23:12  glen
- 2.0.3-rc1

Revision 1.40  2005/07/20 22:07:56  glen
- use apache config triggers

Revision 1.39  2005/06/20 19:46:33  qboosh
- pl for openldap-schema-

Revision 1.38  2005/05/17 17:13:59  glen
- add working url

Revision 1.37  2005/05/17 17:13:11  glen
- package rfc2739 schema into openldap-schema-rfc2739 package

Revision 1.36  2005/05/09 17:50:38  glen
- horde apps are all www applications (adjust group)

Revision 1.35  2005/03/21 17:23:25  glen
- rel 2; STBR

Revision 1.34  2005/03/06 09:55:38  glen
- fix lost postun tag
- R: apache(mod_access)

Revision 1.33  2005/03/04 20:39:42  glen
- include macros.php

Revision 1.32  2005/02/27 19:04:14  glen
- still, put conf.php.bak as %ghost, to avoid conf.php.bak.rpmnew files

Revision 1.31  2005/02/25 23:14:43  glen
- file security revisited: remove write permission on config directory and add .bak files as config

Revision 1.30  2005/02/25 23:00:44  glen
- package docs/CREDITS for help->about

Revision 1.29  2005/02/25 22:18:28  glen
- test.php considered harmful

Revision 1.28  2005/02/25 08:32:59  qboosh
- shellglob syntax fix

Revision 1.27  2005/02/25 00:31:32  glen
- strict apache version require (for confdir support)
- package conf.php.bak as ghost for clean uninstall
- keep write permission only on conf.php
- cosmetics

Revision 1.26  2005/02/24 22:55:51  glen
- typo

Revision 1.25  2005/02/24 22:55:26  glen
- database tables are not required; LDAP is alternative
- add scripts/sql to doc

Revision 1.24  2005/02/24 22:18:50  glen
- R: apache instead of PreReq it

Revision 1.23  2005/02/24 22:18:16  glen
- unification of horde apps

Revision 1.22  2005/02/22 08:23:44  paszczus
- allow horde application to keep backups of turba configuration [from imp.spec]

Revision 1.21  2005/02/13 15:57:05  paszczus
- updated to 2.0.2

Revision 1.20  2005/02/12 17:51:27  paszczus
- updated to 2.0.1
- STBR

Revision 1.19  2005/02/05 23:38:49  paszczus
- release 1
- STBR

Revision 1.18  2005/01/28 23:31:52  matipl
- add new polish translations

Revision 1.17  2005/01/17 17:57:46  paszczus
- very small cleanup

Revision 1.16  2005/01/17 16:11:22  matipl
- security fixes (before chmod)

Revision 1.15  2005/01/17 14:30:29  matipl
- chmod 770 for conf directory

Revision 1.14  2005/01/17 13:10:59  paszczus
- Source0 unifications
- some cleanups

Revision 1.13  2005/01/17 11:44:17  matipl
- repair - add lost directories,files *.xml and change chmod to 660 for confs files

Revision 1.12  2004/12/23 22:33:10  adamg
- do not require pear-prov - it is intended for PEAR only

Revision 1.11  2004/12/23 21:55:30  paszczus
- R are now fixed; release 0.2

Revision 1.10  2004/12/23 21:46:06  paszczus
- removed wrongly generated requires

Revision 1.9  2004/12/23 20:54:32  paszczus
- updated to 2.0
- release 0.1

Revision 1.8.2.1  2004/12/13 21:55:26  paszczus
- updated to 2.0rc3

Revision 1.8  2004/11/11 08:52:38  paszczus
- release 2

Revision 1.7  2004/11/08 21:17:53  paszczus
- cleanups

Revision 1.6  2004/11/08 00:45:09  matipl
- remove directory 'config' in install -d

Revision 1.5  2004/11/07 11:42:47  blues
- finished TODO by Mateusz Kamiski <matipl@ds.pg.gda.pl>

Revision 1.4  2004/11/01 12:16:40  paszczus
- added message to %post (copied from horde.spec)

Revision 1.3  2004/10/29 13:56:32  blues
- proper obsoletes by Mateusz Kamiski <matipl@ds.pg.gda.pl>

Revision 1.2  2004/10/29 07:24:44  blues
- updates by Mateusz Kamiski <matipl@ds.pg.gda.pl>

Revision 1.1  2004/10/28 18:45:59  blues
- moved to /usr/share by Mateusz Kamiski <matipl@ds.pg.gda.pl>
